Index: trunk/BNC/src/PPP/pppParlist.cpp
===================================================================
--- trunk/BNC/src/PPP/pppParlist.cpp	(revision 10219)
+++ trunk/BNC/src/PPP/pppParlist.cpp	(revision 10232)
@@ -62,5 +62,17 @@
      _noise   = OPT->_noiseCrd[2];
      break;
-   case clkR:
+   case rClkG:
+     _epoSpec = true;
+     _sigma0  = OPT->_aprSigClk;
+     break;
+   case rClkR:
+     _epoSpec = true;
+     _sigma0  = OPT->_aprSigClk;
+     break;
+   case rClkE:
+     _epoSpec = true;
+     _sigma0  = OPT->_aprSigClk;
+     break;
+   case rClkC:
      _epoSpec = true;
      _sigma0  = OPT->_aprSigClk;
@@ -74,36 +86,9 @@
          const t_pppSatObs* obs = obsVector->at(ii);
          if (obs->prn() == _prn) {
-           double offGlo = 0;
-           if (_prn.system() == 'R' && tLC != t_lc::MW) {
-             offGlo = PPP_CLIENT->offGlo();
-           }
-           double offGal = 0;
-           if (_prn.system() == 'E' && tLC != t_lc::MW) {
-             offGal = PPP_CLIENT->offGal();
-           }
-           double offBds = 0;
-           if (_prn.system() == 'C' && tLC != t_lc::MW) {
-             offBds = PPP_CLIENT->offBds();
-           }
-           _x0 = floor((obs->obsValue(tLC) - offGlo - offGal - offBds - obs->cmpValue(tLC)) / obs->lambda(tLC) + 0.5);
+           _x0 = floor((obs->obsValue(tLC) - obs->cmpValue(tLC)) / obs->lambda(tLC) + 0.5);
            break;
          }
        }
      }
-     break;
-   case offGlo:
-     _epoSpec = true;
-     _sigma0  = OPT->_aprSigClk;
-     _x0      = PPP_CLIENT->offGlo();
-     break;
-   case offGal:
-     _epoSpec = true;
-     _sigma0  = OPT->_aprSigClk;
-     _x0      = PPP_CLIENT->offGal();
-     break;
-   case offBds:
-     _epoSpec = true;
-     _sigma0  = OPT->_aprSigClk;
-     _x0      = PPP_CLIENT->offBds();
      break;
    case trp:
@@ -168,14 +153,14 @@
     if (tLC == t_lc::GIM) {return 0.0;}
     return (sta->xyzApr()[2] - obs->xc()[2]) / rhoV.NormFrobenius();
-  case clkR:
+  case rClkG:
     if (tLC == t_lc::GIM) {return 0.0;}
-    return 1.0;
-  case offGlo:
+    return (obs->prn().system() == 'G') ? 1.0 : 0.0;
+  case rClkR:
     if (tLC == t_lc::GIM) {return 0.0;}
     return (obs->prn().system() == 'R') ? 1.0 : 0.0;
-  case offGal:
+  case rClkE:
     if (tLC == t_lc::GIM) {return 0.0;}
     return (obs->prn().system() == 'E') ? 1.0 : 0.0;
-  case offBds:
+  case rClkC:
     if (tLC == t_lc::GIM) {return 0.0;}
     return (obs->prn().system() == 'C') ? 1.0 : 0.0;
@@ -296,15 +281,15 @@
     ss << "CRD_Z";
     break;
-  case clkR:
-    ss << "REC_CLK     ";
-    break;
-  case offGlo:
-    ss << "OFF_GLO     ";
-    break;
-  case offGal:
-    ss << "OFF_GAL     ";
-    break;
-  case offBds:
-    ss << "OFF_BDS     ";
+  case rClkG:
+    ss << "REC_CLK  G  ";
+    break;
+  case rClkR:
+    ss << "REC_CLK  R  ";
+    break;
+  case rClkE:
+    ss << "REC_CLK  E  ";
+    break;
+  case rClkC:
+    ss << "REC_CLK  C  ";
     break;
   case trp:
@@ -491,26 +476,21 @@
   required.push_back(new t_pppParam(t_pppParam::crdZ, t_prn(), t_lc::dummy));
 
-  // Receiver Clock
-  // --------------
-  required.push_back(new t_pppParam(t_pppParam::clkR, t_prn(), t_lc::dummy));
-
-  // GLONASS Clock Offset
-  // --------------------
-  if ( _usedSystems.contains('R')  &&
-      (_usedSystems.contains('G') || _usedSystems.contains('E') || _usedSystems.contains('C'))) {
-    required.push_back(new t_pppParam(t_pppParam::offGlo, t_prn(), t_lc::dummy));
-  }
-
-  // Galileo Clock Offset
-  // --------------------
-  if (_usedSystems.contains('E') && _usedSystems.contains('G')) {
-    required.push_back(new t_pppParam(t_pppParam::offGal, t_prn(), t_lc::dummy));
-  }
-
-  // BDS Clock Offset
-  // ----------------
-  if (_usedSystems.contains('C')  && (_usedSystems.contains('G') || _usedSystems.contains('E'))) {
-    required.push_back(new t_pppParam(t_pppParam::offBds, t_prn(), t_lc::dummy));
-  }
+  // Receiver Clocks
+  // ---------------
+   if (_usedSystems.contains('G')) {
+     required.push_back(new t_pppParam(t_pppParam::rClkG, t_prn(), t_lc::dummy));
+   }
+
+   if (_usedSystems.contains('R')) {
+     required.push_back(new t_pppParam(t_pppParam::rClkR, t_prn(), t_lc::dummy));
+   }
+
+   if (_usedSystems.contains('E')) {
+     required.push_back(new t_pppParam(t_pppParam::rClkE, t_prn(), t_lc::dummy));
+   }
+
+   if (_usedSystems.contains('C')) {
+     required.push_back(new t_pppParam(t_pppParam::rClkC, t_prn(), t_lc::dummy));
+   }
 
   // Troposphere
